
# Author:  James Tam
# Version: 2022

MIN_NUM = 1
MAX_NUM = 10
MIN_COLOR = 1
MAX_COLOR = 3
MAX_GUESSES = 10
RED = 1
BLUE = 2
GREEN = 3


def processGuessingColor():
    print("Skeleton: Guessing color")

def processGuessingNumber():
    print("Skeleton: Guessing number")

def start():
    gameWon = False
    while (gameWon == False):
        guessedNumber = True
        guessedColor = True

        processGuessingNumber()
        processGuessingColor()
        if (guessedNumber == True) and (guessedColor == True):
            gameWon = True


    print("You won the game!")


start()
